Bug 592226 - ss - unrecognized and undocumented options
Summary: ss - unrecognized and undocumented options
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iproute   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
low
Target Milestone: rc
: ---
Assignee: Marcela Mašláňová
QA Contact: Milos Malik
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 645267
TreeView+ depends on / blocked
 
Reported: 2010-05-14 10:00 UTC by Milos Malik
Modified: 2011-10-06 13:26 UTC (History)
2 users (show)

Fixed In Version: iproute-2.6.32-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 645267 (view as bug list)
Environment:
Last Closed: 2010-11-10 20:41:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix missing parameters (1.97 KB, patch)
2010-06-15 14:28 UTC, Petr Lautrbach
no flags Details | Diff
fix missing parameters (2.05 KB, patch)
2010-06-15 14:34 UTC, Petr Lautrbach
no flags Details | Diff

Description Milos Malik 2010-05-14 10:00:17 UTC
Description of problem:
Usage message (ss --help) contains 1 UNSUPPORTED option(s):
	--query
Usage message (ss --help) OMITS 2 supported option(s):
	--diag
	--socket
	-D
Man page contains 1 UNSUPPORTED option(s):
	--query
Man page OMITS 2 supported option(s):
	--diag
	--socket

Version-Release number of selected component (if applicable):
iproute-2.6.32-5.el6

How reproducible:
always

Steps to Reproduce:
# ./compare-options.sh `which ss`
Program path:
	/usr/sbin/ss
Guessing man page path:
	/usr/share/man/man8/ss.8.gz
According to binary analysis the binary supports 49 option(s):
	--all
	--dccp
	--diag
	--extended
	--family
	--filter
	--help
	--info
	--ipv4
	--ipv6
	--listening
	--memory
	--numeric
	--options
	--packet
	--processes
	--raw
	--resolve
	--socket
	--summary
	--tcp
	--udp
	--unix
	--version
	-0
	-4
	-6
	-A
	-D
	-F
	-V
	-a
	-d
	-e
	-f
	-h
	-i
	-l
	-m
	-n
	-o
	-p
	-r
	-s
	-t
	-u
	-v
	-w
	-x

  
Actual results:


Expected results:

Comment 1 RHEL Product and Program Management 2010-05-14 10:54:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 RHEL Product and Program Management 2010-05-21 14:15:58 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Petr Lautrbach 2010-06-15 14:28:40 UTC
Created attachment 424169 [details]
fix missing parameters

This patch adds options to help and man pages and also adds option for --query which is also supported as --socket

Comment 4 Petr Lautrbach 2010-06-15 14:34:48 UTC
Created attachment 424171 [details]
fix missing parameters

fixed ss: option '--diag' doesn't allow an argument

Comment 6 releng-rhel@redhat.com 2010-11-10 20:41:08 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.